godo.Prepayment.GetConfig()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Prepayment.GetConfig(ctx context.Context) (*godo.PrepaymentConfigResponse, *godo.Response, error)Description
GetConfig retrieves the authenticated customer’s prepayment configuration and status.
This method sends a GET request to /v2/customers/my/prepayment_config.
Returns
- *godo.PrepaymentConfigResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.PrepaymentConfigResponse
PrepaymentConfigResponse is the response from the public prepayment config endpoint.
Config*godo.PrepaymentConfigStatus*godo.PrepaymentStatus
Request Sample
Response Example
More Information
See GET /v2/customers/my/prepayment_config in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.